Vraag Logitech c920 op Ubuntu 12.04 LTS. Waar te beginnen? Werkt het? Iedereen die het gebruikt in Hangouts?


Ik heb net de Logitech c920-webcam gekregen voor Kerstmis. Ik ben een beetje teleurgesteld om de verschillende forumberichten met betrekking tot de c920- en Ubuntu-koppeling te lezen. In het ideale geval zou ik deze webcam graag gebruiken op Google Hangouts en ik zou graag profiteren van de volledige 1080p HD-mogelijkheden.

Ik zie echter dat Hangouts anders is gecodeerd dan Skype en dat de webcam is gespecificeerd met Skype in gedachten. Op dit moment kijk ik misschien naar de installatie GUVCview

Iemand heeft me verteld dat het gebruik van deze in Hangouts je CPU zal stokken omdat "Google besloot dat het een goed idee was om H.264 in de steek te laten voor VP8 / 9 voor video- en audio-codering", en om HD te krijgen, heb je 4Gb ram nodig . Ik ben gewoon op zoek naar waar te beginnen? Ik heb de camerabox nog niet eens geopend, want ik wil zeker weten dat dit werkt, of ik breng het terug.

EDIT: Na het uitvoeren van onderstaande opdracht voor het installeren van GUVC is dit het antwoord dat ik kreeg:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'libpt-1.10.10-plugins-v4l2' for regex 'libpt-1.10.10-plugins-v4l'
E: Unable to locate package v4l2loopback-utils
E: Unable to locate package gem-plugin-v4l2
E: Unable to locate package libpt-1.11.2-plugins-v4l2
E: Couldn't find any package by regex 'libpt-1.11.2-plugins-v4l2'
E: Unable to locate package v4l2loopback-utils
E: Unable to locate package gambas2-gb-v4l
E: Unable to locate package gambas3-gb-v4l
E: Unable to locate package gem-plugin-dv4l
E: Unable to locate package gem-plugin-v4l2
E: Unable to locate package libpt-1.11.2-plugins-v4l
E: Couldn't find any package by regex 'libpt-1.11.2-plugins-v4l'
E: Unable to locate package libpt-1.11.2-plugins-v4l2
E: Couldn't find any package by regex 'libpt-1.11.2-plugins-v4l2'
E: Unable to locate package libv4l-ruby1.8
E: Couldn't find any package by regex 'libv4l-ruby1.8'

Ik gebruik Windows 7 en Ubuntu 12.04 LTS op Toshiba SatelliteL755

geheugen: 3.8 Gib

processor: Intel Core i5-2410M CPU @ 2.30GHz × 4

afbeeldingen: Intel Sandybridge Mobile

OS-type 64bit

schijf: 40,2 GB


5
2017-12-28 17:22


oorsprong




antwoorden:


GUVCview is een van de beste applicaties die beschikbaar zijn in ubuntu om met webcams te werken.

Het biedt ook stuurprogramma's voor webcams.

Niet alleen WebCams, maar ook voor HD Camcoders.

Het is beter om ook V4L te installeren. Daarmee kun je veel dingen doen met video-apparaten.

Als u GUVCview run wilt installeren:

sudo apt-get install guvcview

En voor installatie V4L voer dit uit:

sudo apt-get install dov4l dv4l lib32v4l-0 libpt-1.10.10-plugins-v4l2 libv4l-0 libv4l-dev libv4lconvert0 libvideo-capture-v4l-perl qv4l2 v4l-conf v4l-utils v4l2loopback-dkms v4l2loopback-source v4l2ucp

2
2017-12-28 17:31



Oké goed. Na installatie van dit via terminal, zal GUVC applicatie mij door het set-up proces leiden? Ik heb nog nooit een webcam geprobeerd. - 5th Wheel
Ik heb de opdracht uitgevoerd die je me hebt gegeven. Ik kreeg enkele "niet in staat om pakketten te vinden" prompts. Kun je de bewerking bekijken die ik heb gemaakt en kijken of hij er goed uitziet? - 5th Wheel
OK bedankt. Het lijkt goed te werken. Ik kreeg een pop-up na het installeren van V4L met de melding "Systeemprobleem gedetecteerd". Maar ik heb nu een GUVC-weergave, Video4 linux-configuratiescherm en QTV4L2-testprogramma in mijn dashboard. Hoe krijg ik na het installeren van deze c920 de standaard webcam, in tegenstelling tot mijn ingebouwde laptop-cam? Sorry voor alle vragen, maar mijn installatiehandleiding die bij de camera is geleverd, is alleen voor Windows. - 5th Wheel
Die instellingen worden verteld om in te zijn System>Preferences>Multimedia Selector>Video. Maar ik ben op kaneel. Kun je het proberen? Systeem kan geopend worden door op het rechteruiteinde van het bovenste paneel te klikken.
Ik kan het niet vinden. Ik probeerde verschillende opties onder systeeminstellingen, maar ik kan niets voor video. Ik kan het selecteren in GUVCview, maar ik wilde gewoon zien of dat als standaard zou blijven. Je hebt me geholpen met mijn geposte vraag. Ik beschouw het als opgelost en ik waardeer uw hulp. Bedankt - 5th Wheel